メインコンテンツまでスキップ

18) 文書セキュリティグレードの照会

文書のセキュリティグレードの照会

API

MethodURL
POST/api/get/customProperties/securityLevel

Request Body

NameRequiredTypeDescription
licenseKeyrequiredstringSHIELDRM 管理者ページの連携アプリ管理メニューで発行されたライセンスを入力
srcFilePathrequiredstring文書の参照パス

Response

NameTypeDescription
codeint0 : 成功
それ以外の値 : エラー
scLabelIdstringラベルID(文書セキュリティレベル編集時に入力する必要があるデータ)
scLabelNamestringラベル名
scSecurityLevelIdstringグレードID(ラベルの上位概念である分類グレードID)
scSecurityLevelNamestringランク名
messagestring失敗時のエラーメッセージ

Examples

Request

  • Body
{
"licenseKey": "EFBB-029BD-F155-7F13E",
"srcFilePath": "/opt/shieldrm/data/test.xlsx"
}

Response

  • 成功
{
"code": 0,
"scLabelId": "yoGSZ4pU-hLreQwr6-bk2Bl9aL-DvQ6sfKw",
"scLabelName": "Classified",
"scSecurityLevelId": "GgcoNPBJ-iN4WXGCm-s3YN6moy-4an7Nzx7",
"scSecurityLevelName": "C"
}

[scLabelId 설정되지 않음]
{
"code": 0,
"message": "The scLabelId setting is not configured."
}
  • 失敗
  • Status code : 401 Unauthorized
[라이선스 검증 실패]
{
"code": 40101,
"message": "{\"code\":40107,\"message\":\"No matching license found\",\"detail\":\"License skms_connector_info information is empty.\"}"
}